//
//  ViewController.swift
//  Granja
//
//  Created by Santiago Pavón on 21/10/15.
//  Copyright © 2015 UPM. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Crear reconocedor de Tap para crear gallina
        let tapRec = UITapGestureRecognizer(target: self, action: "processRootTap:")
        tapRec.numberOfTapsRequired = 1
        view.addGestureRecognizer(tapRec)
        
        // Crear reconocedor de SreenEdgePan para borrar todo
        let edgeRec = UIScreenEdgePanGestureRecognizer(target: self, action: "processRootEdge:")
        edgeRec.edges = .Left
        view.addGestureRecognizer(edgeRec)
    }
    
    func processRootTap(sender: UITapGestureRecognizer) {
        
        let pos = sender.locationInView(sender.view)
        let rect = CGRectMake(pos.x, pos.y, 1, 1)
        
        let imgv = GHPImageView(frame: rect)
        
        view.addSubview(imgv)
    }
    
    func processRootEdge(sender: UIScreenEdgePanGestureRecognizer) {
        
        if sender.state != .Began { return }
        
        UIView.transitionWithView(view,
            duration: 0.5,
            options: .TransitionCrossDissolve,
            animations: { for subview in self.view.subviews {
                if subview is GHPImageView {
                    subview.removeFromSuperview()
                }
                }
            },
            completion: nil
        )
    }

}

